Search found 113 matches

Go to advanced search

by mfasano
Sun Jun 23, 2019 4:05 pm
Forum: Assembly
Topic: Assembly 4 workbench
Replies: 888
Views: 126992

Re: Assembly 4 workbench

I think I need some hand holding. I tried to follow your instructions. I create the part with the new model macro. I create the assembly wih the new model macro; create the sketch with LCSs and import the part with the insert external part macro. When I try place the part, it highlights the part but...
by mfasano
Thu Jun 20, 2019 12:34 pm
Forum: Help on using FreeCAD
Topic: Cabinet furniture design tools workbench
Replies: 94
Views: 23015

Re: Cabinet furniture design tools workbench

Here is a thread about a box making script that could be generalized to help model cabinetry joints.

https://forum.freecadweb.org/viewtopic.php?f=24&t=31795
by mfasano
Wed May 22, 2019 5:04 pm
Forum: Assembly
Topic: Assembly3 preview
Replies: 1795
Views: 224262

Re: Assembly3 preview

That is still too early to tell. We still need a solver with suitable license first. But at least asm3 can run in official FC if my PR is merged. Can you distribute a workbench under a different license? Then you can just have your workbench with the same license as the solver you use. I guess you ...
by mfasano
Tue Apr 23, 2019 12:48 pm
Forum: Open discussion
Topic: Another FOSS project making the 1.0 jump: SuperTuxKart
Replies: 8
Views: 702

Re: Another FOSS project making the 1.0 jump: SuperTuxKart

I remember someone drew a man made of screws and nuts and was discussed as possible mascot.
by mfasano
Wed Dec 05, 2018 7:49 pm
Forum: Python scripting and macros
Topic: v0.18 use of QML file for a form?
Replies: 1
Views: 182

v0.18 use of QML file for a form?

Hello all;

can I use a form made with Qt Quick in Qt5. It gives a QML file. will version 0.18 work with this? how would I do that? I can not find much about QML files in FreeCAD.

Thanks,
by mfasano
Tue Dec 04, 2018 1:50 pm
Forum: Python scripting and macros
Topic: [Solved] getting point on a face.
Replies: 3
Views: 487

Re: getting point on a face.

I figured it out. GetPoints returns a tuple of Vectors. so

point = pre.GetPoints

point[0] will be the vector I want.

Thanks,
by mfasano
Tue Dec 04, 2018 1:43 pm
Forum: Python scripting and macros
Topic: [Solved] getting point on a face.
Replies: 3
Views: 487

Re: getting point on a face.

it appears GetPoints gives a tuple of 1 item. It is not a string. I don't know what type it is. for example

points = pre.GetPoints

ponts = (vector (2 ,5, 7),)

how to I extract the point from it . I could convert to a string and parse it.

Thanks,
by mfasano
Mon Dec 03, 2018 9:36 pm
Forum: Python scripting and macros
Topic: [Solved] getting point on a face.
Replies: 3
Views: 487

[Solved] getting point on a face.

I would like to get the point that shows up on the status bar when you click on a face. I tried I tried pos = FreeCADGui.ActiveDocument.ActiveView.getPoint(mouseposition) I hope you can help Thanks, import Part, FreeCAD, PartGui, FreeCADGui from FreeCAD import Base, Console #App.newDocument() #This ...
by mfasano
Mon Nov 26, 2018 2:22 pm
Forum: Users Showcase
Topic: Box Creator Script
Replies: 26
Views: 8710

Re: Box Creator Script

I thought about the possibility of a cabinetry workbench, You could specify different kinds of joints like dovetail, mortis and tenon, biscuit joints, etc. There would be dialog boxes like yours for each kind where you would specify the parameters of the joint, and Freecad would make it. This looks ...
by mfasano
Tue Nov 13, 2018 1:39 pm
Forum: Python scripting and macros
Topic: Help to create a new macro
Replies: 7
Views: 612

Re: Help to create a new macro

I find the code snippets helpful

https://www.freecadweb.org/wiki/Code_snippets

Go to advanced search